<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1kwd.html">kwd</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1_snowboy_wrapper.html">SnowboyWrapper</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">alexaClientSDK::kwd::SnowboyWrapper Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1_snowboy_wrapper.html">alexaClientSDK::kwd::SnowboyWrapper</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1_snowboy_wrapper.html#a9add51520e9462659b6ea25b2958cd22">ApplyFrontend</a>(const bool applyFrontend)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1_snowboy_wrapper.html">alexaClientSDK::kwd::SnowboyWrapper</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1_snowboy_wrapper.html#a48abd8c4509cb657ebd99d5ac8f8659d">BitsPerSample</a>() const</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1_snowboy_wrapper.html">alexaClientSDK::kwd::SnowboyWrapper</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1_snowboy_wrapper.html#a0af48fef7a71dc3a08051a4ba9451b9a">NumChannels</a>() const</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1_snowboy_wrapper.html">alexaClientSDK::kwd::SnowboyWrapper</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1_snowboy_wrapper.html#ae4386bdd8b405fa4f962bdcebff67702">RunDetection</a>(const int16_t *const data, const int arrayLength, bool isEnd=false)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1_snowboy_wrapper.html">alexaClientSDK::kwd::SnowboyWrapper</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1_snowboy_wrapper.html#ab5b983e3fee642d9eb2c3a7faa6a7f41">SampleRate</a>() const</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1_snowboy_wrapper.html">alexaClientSDK::kwd::SnowboyWrapper</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1_snowboy_wrapper.html#ac57689e4aed84ddd7653a07c85a7b5ce">SetAudioGain</a>(const float audioGain)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1_snowboy_wrapper.html">alexaClientSDK::kwd::SnowboyWrapper</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1_snowboy_wrapper.html#aae4a56327d06f6c78054d25bab8bc92a">SetSensitivity</a>(const char *sensitivity)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1_snowboy_wrapper.html">alexaClientSDK::kwd::SnowboyWrapper</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1_snowboy_wrapper.html#ab9fd186c6846d43330bc387d3dda2ea9">SnowboyWrapper</a>(const char *resourceFilename, const char *model)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1_snowboy_wrapper.html">alexaClientSDK::kwd::SnowboyWrapper</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1_snowboy_wrapper.html#ab2a557068b5f75e4634663d49fd8586c">~SnowboyWrapper</a>()=default</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1_snowboy_wrapper.html">alexaClientSDK::kwd::SnowboyWrapper</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
